
(include-book "../../8-davisputnam/davis-putnam")

;;;   Necesitamos una funcin de seleccin concreta, para ello indicamos que se
;;; va a permitir redefiniciones en el sistema.

(set-ld-redefinition-action '(:warn . :overwrite) state)

(defun seleccion (Fc)
  (declare (xargs :guard (true-list-listp Fc)))
  
  (cond ((endp Fc) nil)
	((endp (car Fc))
	 (seleccion (cdr Fc)))
	(t (car (car Fc)))))

(value :q)

(load "../../../ejemplos.lisp")

;;;============================================================================